72158e7b

Версии JavaScript и Navigator'а


Таблица 9.1 Версии JavaScript и Navigator'а

Версия Navigator'аВерсия JavaScript по умолчанию

Поддерживаемые Тэги <SCRIPT>

Navigator ранее 2.0JavaScript не поддерживаетсяОтсутствуют
Navigator 2.0JavaScript 1.0<SCRIPT LANGUAGE="JavaScript">
Navigator 3.0JavaScript 1.1<SCRIPT LANGUAGE="JavaScript1.1"> и все предыдущие версии
Navigator 4.0-4.05JavaScript 1.2<SCRIPT LANGUAGE="JavaScript1.2"> и все предыдущие версии
Navigator 4.06-4.5JavaScript 1.3<SCRIPT LANGUAGE="JavaScript1.3"> и все предыдущие версии

Navigator игнорирует код в тэгах <SCRIPT>, которые специфицируют неподдерживаемую версию. Например, Navigator 3.0 не поддерживает JavaScript 1.2, поэтому, если пользователь запускает скрипт JavaScript 1.2 в Navigator'е 3.0, этот скрипт будет проигнорирован.



Начало  Назад  Вперед